Below is the list of changes that have just been committed into a local
5.1 repository of tsmith. When tsmith does a push these changes will
be propagated to the main repository and, within 24 hours after the
push, to the public repository.
For information on how to access the public repository
see http://dev.mysql.com/doc/mysql/en/installing-source-tree.html
ChangeSet@stripped, 2007-07-30 13:35:36-06:00, tsmith@stripped +1 -0
mysqld_safe.sh:
Post-review fix, if 'logger' can't be found, and --syslog is requested, exit with error message instead of fall back to logging to error file.
scripts/mysqld_safe.sh@stripped, 2007-07-30 13:35:27-06:00, tsmith@stripped +2 -2
Post-review fix, if 'logger' can't be found, and --syslog is requested, exit with error message instead of fall back to logging to error file.
diff -Nrup a/scripts/mysqld_safe.sh b/scripts/mysqld_safe.sh
--- a/scripts/mysqld_safe.sh 2007-07-27 17:20:42 -06:00
+++ b/scripts/mysqld_safe.sh 2007-07-30 13:35:27 -06:00
@@ -302,8 +302,8 @@ then
my_which logger > /dev/null 2>&1
if [ $? -ne 0 ]
then
- log_error "--syslog requested, but no 'logger' program found."
- want_syslog=0
+ log_error "--syslog requested, but no 'logger' program found. Please ensure that 'logger' is in your PATH, or do not specify the --syslog option to mysqld_safe."
+ exit 1
fi
fi
| Thread |
|---|
| • bk commit into 5.1 tree (tsmith:1.2561) | tim | 30 Jul |